%global library openshift

%global py3 python3
%global py3dev python3

Name:       python-%{library}
Version:    0.13.2
Release:    1%{?dist}
Summary:    Python client for the OpenShift API
License:    ASL 2.0
URL:        https://github.com/openshift/openshift-restclient-python
Source0:    https://github.com/openshift/openshift-restclient-python/archive/v%{version}.tar.gz
BuildArch:  noarch

%package -n %{py3}-%{library}
Summary: Python client for the OpenShift API
BuildRequires: %{py3dev}-devel
BuildRequires: %{py3dev}-rpm-macros
BuildRequires: %{py3}-kubernetes >= 8.0.0
BuildRequires: %{py3}-pytest
BuildRequires: %{py3}-setuptools
BuildRequires: git

Requires: %{py3}
Requires: %{py3}-dictdiffer
Requires: %{py3}-kubernetes
Requires: %{py3}-string_utils
Requires: %{py3}-requests
Requires: %{py3}-ruamel-yaml
Requires: %{py3}-six
Requires: %{py3}-jinja2

%description -n %{py3}-%{library}
Python client for the OpenShift API

%package doc
Summary: Documentation for %{name}.
BuildRequires: %{py3}-sphinx
BuildRequires: %{py3}-recommonmark
%description doc
%{summary}

%description
Python client for the OpenShift API

%prep
%autosetup -n openshift-restclient-python-%{version} -S git

sed -i 's/~/>/g' requirements.txt

%build
%py3_build

sphinx-build-3 doc/source/ html
%{__rm} -rf html/.buildinfo
%{__rm} -rf html/.doctrees


%install
%py3_install

%check
export PYTHONPATH="$(pwd)"
py.test test/unit -c /dev/null -v -r s

%files -n %{py3}-%{library}
%license LICENSE
%{python3_sitelib}/%{library}
%{python3_sitelib}/%{library}-*.egg-info
%exclude %{python3_sitelib}/scripts

%files doc
%license LICENSE
%doc html

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.2-1
- initial build
